[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'db' (#fcl)

# DatabaseError

Raise an EDatabaseError exception.

## Declaration

Source position: line 0

`procedure DatabaseError(`
`const Msg: string`
`); overload; procedure DatabaseError(`
`const Msg: string;`
`Comp: TComponent`
`); overload;`

## Arguments

`Msg` |  | Message to specify for the exception

## Arguments

`Msg` |  | Message to specify for the exception
`Comp` |  | Prepend the name of this Component to the message

## Description

DatabaseError raises an EDatabaseError exception, passing it Msg. If Comp is specified, the name of the component is prepended to the message.

## See also

DatabaseErrorFmt |  | Raise an EDatabaseError exception with a formatted message
EDatabaseError |  | Base class for all database-related errors

Documentation generated on: Feb 26 2014